Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 6.0.32
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.util.net
Class NioEndpoint.SocketProcessor

    java.lang.Object
      org.apache.tomcat.util.net.NioEndpoint.SocketProcessor

All Implemented Interfaces:
  java.lang.Runnable

Enclosing class:
  NioEndpoint

    protected class NioEndpoint.SocketProcessor

extends java.lang.Object
implements java.lang.Runnable

This class is the equivalent of the Worker, but will simply use in an external Executor thread pool.

Field Summary
`protected NioChannel` | `socket`
`protected SocketStatus` | `status`

Constructor Summary
`NioEndpoint.SocketProcessor(NioChannel socket, SocketStatus status)`

Method Summary
`void` | `reset(NioChannel socket, SocketStatus status)`
`void` | `run()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### socket

    protected NioChannel socket

### status

    protected SocketStatus status

Constructor Detail

### NioEndpoint.SocketProcessor

    public NioEndpoint.SocketProcessor(NioChannel socket,
                                       SocketStatus status)

Method Detail

### reset

    public void reset(NioChannel socket,
                      SocketStatus status)

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 6.0.32
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.